#include <iostream>

using namespace std;

int main()
{
    long long x, y, broj=0, broj1=0;
    cin>>x;
    cin>>y;
    while(x!=0 || y!=0)
    {
        if (x==0)
        {
            x=-1;
        }
        if (y==0)
        {
            y=-1;
        }
        if (x%10>y%10)
        {
            broj=broj*10+x%10;
        }
        else if(x%10<y%10)
        {
            broj=broj*10+y%10;
        }
        else if(x%10==y%10)
        {
            broj=(broj*10+x%10)*10+y%10;
        }
        x=x/10;
        y=y/10;
    }
    while (broj>0)
    {
        broj1=broj1*10+broj%10;
        broj=broj/10;
    }
    cout<<broj1;

    return 0;
}